Bug 1015952 - Execution of goal exec:exec on ejb-remote quickstart example's client side fail
Execution of goal exec:exec on ejb-remote quickstart example's client side fail
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 02:23 EDT by Vladimir Rastseluev
Modified: 2017-10-09 20:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rastseluev 2013-10-07 02:23:35 EDT
Description of problem:
Following instructions from README file I tried to deploy and execute client on ejb-remote quicktsarts example, execution of goal exec:exec on client side failed.

Version-Release number of selected component (if applicable):
EAP 6.2.0 ER4

How reproducible:
easy

Steps to Reproduce:
1. start standalone server 
2. cd $QUICKSTARTS_ROOT/ejb-remote
3. cd server-side
4. mvn clean install
5. cd client
6. mvn clean compile
7. mcn exec:exec

Actual results:
Oct 7, 2013 8:14:11 AM org.jboss.ejb.client.EJBClient <clinit>
INFO: JBoss EJB Client version 1.0.23.Final-redhat-1
Obtained a remote stateless calculator for invocation
Adding 204 and 340 via the remote stateless calculator deployed on the server
Oct 7, 2013 8:14:11 AM org.xnio.Xnio <clinit>
INFO: XNIO Version 3.0.7.GA-redhat-1
Oct 7, 2013 8:14:11 AM org.xnio.nio.NioXnio <clinit>
INFO: XNIO NIO Implementation Version 3.0.7.GA-redhat-1
Oct 7, 2013 8:14:11 AM org.jboss.remoting3.EndpointImpl <clinit>
INFO: JBoss Remoting version 3.2.16.GA-redhat-1
Oct 7, 2013 8:14:11 AM org.jboss.ejb.client.remoting.VersionReceiver handleMessage
INFO: EJBCLIENT000017: Received server version 2 and marshalling strategies [river]
Oct 7, 2013 8:14:11 AM org.jboss.ejb.client.remoting.RemotingConnectionEJBReceiver associate
INFO: EJBCLIENT000013: Successful version handshake completed for receiver context EJBReceiverContext{clientContext=org.jboss.ejb.client.EJBClientContext@1bbd7b2, receiver=Remoting connection EJB receiver [connection=org.jboss.ejb.client.remoting.ConnectionPool$PooledConnection@4865ce,channel=jboss.ejb,nodename=war]} on channel Channel ID f1d9c55d (outbound) of Remoting connection 01cf7491 to localhost/127.0.0.1:4447
Exception in thread "main" java.lang.IllegalStateException: EJBCLIENT000025: No EJB receiver available for handling [appName:, moduleName:jboss-as-ejb-remote-server-side, distinctName:] combination for invocation context org.jboss.ejb.client.EJBClientInvocationContext@1a6684f
        at org.jboss.ejb.client.EJBClientContext.requireEJBReceiver(EJBClientContext.java:729)
        at org.jboss.ejb.client.ReceiverInterceptor.handleInvocation(ReceiverInterceptor.java:116)
        at org.jboss.ejb.client.EJBClientInvocationContext.sendRequest(EJBClientInvocationContext.java:183)
        at org.jboss.ejb.client.EJBInvocationHandler.sendRequestWithPossibleRetries(EJBInvocationHandler.java:253)
        at org.jboss.ejb.client.EJBInvocationHandler.doInvoke(EJBInvocationHandler.java:198)
        at org.jboss.ejb.client.EJBInvocationHandler.doInvoke(EJBInvocationHandler.java:181)
        at org.jboss.ejb.client.EJBInvocationHandler.invoke(EJBInvocationHandler.java:144)
        at $Proxy0.add(Unknown Source)
        at org.jboss.as.quickstarts.ejb.remote.client.RemoteEJBClient.invokeStatelessBean(RemoteEJBClient.java:56)
        at org.jboss.as.quickstarts.ejb.remote.client.RemoteEJBClient.main(RemoteEJBClient.java:37)
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.648s
[INFO] Finished at: Mon Oct 07 08:14:11 CEST 2013
[INFO] Final Memory: 6M/93M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.2.1:exec (default-cli) on project jboss-ejb-remote-client: Command execution failed. Process exited with an error: 1 (Exit value: 1) -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException


Expected results:
execution is successful

Additional info:
Comment 1 sgilda 2013-10-08 14:22:37 EDT
Changes to module name to remove the '-as' from 'jboss-as' impacted incorrect hard-coded module name in the source code

Fixed with this commit: https://github.com/jboss-developer/jboss-eap-quickstarts/commit/7d3f2fbca9ecddfec6aa2d0a7173f2cd4c71dc87
Comment 2 sgilda 2013-10-09 15:27:16 EDT
I verified this works in ER5.1
Comment 3 Vladimir Rastseluev 2013-10-10 07:26:39 EDT
Verified on EAP 6.2.0 ER5.1

Note You need to log in before you can comment on or make changes to this bug.